View Issue Details

IDProjectCategoryView StatusLast Update
0003726SOGosogo-toolpublic2016-06-23 09:02
Reporterdanbet Assigned Toludovic  
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSDebianOS Version8 (Jessie)
Product Version2.3.12 
Fixed in Version2.3.13 
Summary0003726: Did not find exportet SoClass 'SOGo'
Description

Each of the sogo-tool commands returns:
<0x0x127a1c0[SOGoProductLoader]> SOGo products loaded from '/usr/lib/GNUstep/SOGo':
<0x0x127a1c0[SOGoProductLoader]> ActiveSync.SOGo, MailerUI.SOGo, PreferencesUI.SOGo, AdministrationUI.SOGo, SchedulerUI.SOGo, ContactsUI.SOGo, Contacts.SOGo, MainUI.SOGo, Mailer.SOGo, Appointments.SOGo, MailPartViewers.SOGo, CommonUI.SOGo
[so-category-info] did not find exported SoClass 'SOGo' in product <0x0x14b5ac0[SoProduct]: loaded code-loaded bundle=/usr/lib/GNUstep/SOGo/MainUI.SOGo #classes=8 #categories=4 rm=0x0x14b95f0>!

Using expire-autoreply and expire-sessions in cron sends an email with this error each time it is executed (each minute for expire-sessions). I have to supress it with 2>/dev/null but then real errors are also supressed.

The problem also exists with sogo-ealarms-notify and sogo-backup.

Steps To Reproduce

Execute one of the sogo-tool commands or sogo-ealarms-notify or sogo-backup.

Additional Information

Downgrading to 2.3.11 resolves the problem.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

sogo: v2 2b8dbff9

2016-06-13 09:16:08

ludovic

Details Diff
(fix) avoid showing debug info when not needed (fixes 0003726) Affected Issues
0003726
mod - Main/SOGo.m Diff File
mod - SoObjects/SOGo/SOGoProductLoader.h Diff File
mod - SoObjects/SOGo/SOGoProductLoader.m Diff File
mod - Tools/sogo-tool.m Diff File

sogo: master bd75eaf8

2016-06-13 09:16:08

ludovic

Details Diff
(fix) avoid showing debug info when not needed (fixes 0003726) Affected Issues
0003726
mod - Main/SOGo.m Diff File
mod - SoObjects/SOGo/SOGoProductLoader.h Diff File
mod - SoObjects/SOGo/SOGoProductLoader.m Diff File
mod - Tools/sogo-tool.m Diff File

Issue History

Date Modified Username Field Change
2016-06-13 05:22 danbet New Issue
2016-06-13 09:17 ludovic Changeset attached => sogo v2 2b8dbff9
2016-06-13 09:17 ludovic Assigned To => ludovic
2016-06-13 09:17 ludovic Resolution open => fixed
2016-06-14 07:48 ludovic Status new => resolved
2016-06-14 07:48 ludovic Fixed in Version => 2.3.13
2016-06-23 09:02 ludovic Changeset attached => sogo master bd75eaf8